summaryrefslogtreecommitdiffstats
path: root/source/xap/rxvt-unicode/rxvt-unicode.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-02-20 21:08:27 +0000
committer Eric Hameleers <alien@slackware.com>2024-02-20 22:29:41 +0100
commit96bfb8fafe527cd86c5f7f6c52656a85b7b16c39 (patch)
treeab0c4b5c42104780817f4ab10248fa5e312cb6b6 /source/xap/rxvt-unicode/rxvt-unicode.SlackBuild
parentcb087e235bf975302a0c5372ade9c7532951a489 (diff)
downloadcurrent-96bfb8fafe527cd86c5f7f6c52656a85b7b16c39.tar.gz
current-96bfb8fafe527cd86c5f7f6c52656a85b7b16c39.tar.xz
Tue Feb 20 21:08:27 UTC 202420240220210827
xap/rxvt-unicode-9.31-x86_64-2.txz: Rebuilt. Patched to fix input buffer garbage when starting tmux. Thanks to Youjie.
Diffstat (limited to 'source/xap/rxvt-unicode/rxvt-unicode.SlackBuild')
-rwxr-xr-xsource/xap/rxvt-unicode/rxvt-unicode.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/xap/rxvt-unicode/rxvt-unicode.SlackBuild b/source/xap/rxvt-unicode/rxvt-unicode.SlackBuild
index 2ab0bf31e..0135cdab3 100755
--- a/source/xap/rxvt-unicode/rxvt-unicode.SlackBuild
+++ b/source/xap/rxvt-unicode/rxvt-unicode.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2018, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2018, 2023, 2024 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rxvt-unicode
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,6 +88,9 @@ find . \
# Fix special character rendering with perl-5.38.0:
zcat $CWD/rxvt-unicode.perl5.38.0.diff.gz | patch -p1 --verbose || exit 1
+# Fix using recent tmux:
+cat $CWD/rxvt.tmux.patch | patch -p0 --verbose || exit 1
+
run_configure() {
# Configure:
CFLAGS="$SLKCFLAGS" \